package library.core.listener;

import library.core.model.CoreModel;

/**
 * 考え方は外部から何かが当たったと考える　（受け身の考え）
 * @author 貴裕
 *
 */
public interface OnCoreCollisionListener {
	
	/**
	 * このmodelにあるmodelが衝突した
	 * @param model
	 */
	public abstract void onCollisionEnter(CoreModel model);
	
	/**
	 * このmodelにあるmodelが衝突している
	 * @param model
	 */
	public abstract void onCollisionIn(CoreModel model);
	
	/**
	 * このmodelにあるmodelが衝突していたのに何処かにいった
	 * @param model
	 */
	public abstract void onCollisionOut(CoreModel model);
	
}
